Update Project
curl --request PUT \
--url https://api.realtimelca.com/rest/api/BuildingProject/updatebaseinfo/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"projectName": "",
"clientName": "",
"builder": "",
"buildingAddress": {
"street": "",
"streetNumber": "",
"city": "",
"postalCode": "",
"country": ""
},
"type": 2,
"stage": 4,
"projectNumber": "",
"speckleConfiguration": {
"parameters": {
"classificationCode": "BIMTypeCode",
"classificationTypeId": "f4b058b9-43c5-4004-8f1b-45827615daec"
}
}
}
'import requests
url = "https://api.realtimelca.com/rest/api/BuildingProject/updatebaseinfo/{id}"
payload = {
"projectName": "",
"clientName": "",
"builder": "",
"buildingAddress": {
"street": "",
"streetNumber": "",
"city": "",
"postalCode": "",
"country": ""
},
"type": 2,
"stage": 4,
"projectNumber": "",
"speckleConfiguration": { "parameters": {
"classificationCode": "BIMTypeCode",
"classificationTypeId": "f4b058b9-43c5-4004-8f1b-45827615daec"
} }
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
projectName: '',
clientName: '',
builder: '',
buildingAddress: {street: '', streetNumber: '', city: '', postalCode: '', country: ''},
type: 2,
stage: 4,
projectNumber: '',
speckleConfiguration: {
parameters: {
classificationCode: 'BIMTypeCode',
classificationTypeId: 'f4b058b9-43c5-4004-8f1b-45827615daec'
}
}
})
};
fetch('https://api.realtimelca.com/rest/api/BuildingProject/updatebaseinfo/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Project
Update Project
Updates the base information of an existing building project. Send a PUT request with the project UUID as a path variable and a JSON body containing the fields to update.
Endpoint: PUT {{lcabaseUrl}}/BuildingProject/updatebaseinfo/:id
PUT
/
BuildingProject
/
updatebaseinfo
/
{id}
Update Project
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
buildingProjectId
Body
application/json
Response
default
Response schema not yet documented in the upstream Postman spec.
⌘I

